import nextJest from 'next/jest.js';
import createNextJestConfig from '@repo/jest-config/nextjs';

const createJestConfig = nextJest({
  dir: './',
});

// Get the Next.js Jest config from the shared package and add custom display name
export default createNextJestConfig((config) => {
  return createJestConfig({
    ...config,
    displayName: 'kraken-client',
    coverageDirectory: '<rootDir>/../../coverage/kraken-client',
  });
});
